Mantis Bug Tracker

View Issue Details Jump to Notes ] Wiki ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000506Mana ServerCorepublic2013-04-27 16:452013-05-19 06:09
ReporterAblu 
Assigned Toatheros 
PrioritynormalSeverityfeatureReproducibilityN/A
StatusresolvedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version0.2.0Fixed in Version0.2.0 
Summary0000506: Single xml solution
Descriptionthe server (and client) should generally only start loading a single xml.

This xml then can have all the <item> <monster> ... nodes.

Of course this xml could include further xmls via <include> so you could still have all items in one file for example.
TagsNo tags attached.
Attached Files

- Relationships
parent of 0000508new Mana Server Account server is still using items.xml directly 
parent of 0000509new Mana Client mana is using equip.xml instead of settings.xml 
parent of 0000510new Mana Client mana is using skills.xml instead of settings.xml 
parent of 0000511resolvedatheros Mana Client move paths.xml to settings.xml 
parent of 0000512new Mana Client (Qt) Read all settings from settings.xml 
Not all the children of this issue are yet resolved or closed.

-  Notes
(0001800)
Ablu (manager)
2013-04-28 09:01

atheros said on IRC that he wants to look into it.
(0001801)
bjorn (administrator)
2013-04-28 09:31

I suggested this to solve the problem of overly large XML files (for example items.xml has grown to over 8000 lines for TMW) as well as to allow giving the data arbitrary structure rather than being forced to have files with specific names in the world root. In the end it should make things easier both for small and large worlds.
(0001802)
Ablu (manager)
2013-04-29 20:51

Pushed as 647cebf (server) and 8f67f21 (sdl client)

- Issue History
Date Modified Username Field Change
2013-04-27 16:45 Ablu New Issue
2013-04-28 09:01 Ablu Note Added: 0001800
2013-04-28 09:01 Ablu Assigned To => Ablu
2013-04-28 09:01 Ablu Status new => assigned
2013-04-28 09:01 Ablu Assigned To Ablu =>
2013-04-28 09:31 bjorn Note Added: 0001801
2013-04-28 09:37 bjorn Assigned To => atheros
2013-04-29 20:51 Ablu Note Added: 0001802
2013-04-29 20:51 Ablu Status assigned => resolved
2013-04-29 20:51 Ablu Fixed in Version => 0.2.0
2013-04-29 20:51 Ablu Resolution open => fixed
2013-05-08 13:47 atheros Relationship added related to 0000508
2013-05-08 13:48 atheros Relationship added related to 0000509
2013-05-08 13:49 atheros Relationship added related to 0000510
2013-05-08 13:50 atheros Relationship added related to 0000511
2013-05-08 14:11 bjorn Relationship added related to 0000512
2013-05-19 06:08 Ablu Relationship replaced parent of 0000508
2013-05-19 06:09 Ablu Relationship replaced parent of 0000509
2013-05-19 06:09 Ablu Relationship replaced parent of 0000510
2013-05-19 06:09 Ablu Relationship replaced parent of 0000511
2013-05-19 06:09 Ablu Relationship replaced parent of 0000512


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker